MeasurementData
Date: 2019-10-22

org.jmol.modelset

## Class MeasurementData

- java.lang.Object
- - org.jmol.modelset.MeasurementData

- All Implemented Interfaces:
    JmolMeasurementClient

      public class MeasurementData
      extends java.lang.Object
      implements JmolMeasurementClient

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Atom[]` | `atoms`
    `private JmolMeasurementClient` | `client`
    `short` | `colix`
    `java.util.Map<java.lang.String,java.lang.Integer>` | `htMin`
    `private int` | `iFirstAtom`
    `java.lang.Boolean` | `intramolecular`
    `boolean` | `isAll`
    `private boolean` | `justOneModel`
    `int` | `mad`
    `private javajs.util.Lst<java.lang.Float>` | `measurements`
    `private javajs.util.Lst<java.lang.String>` | `measurementStrings`
    `private float[]` | `minArray`
    `private ModelSet` | `ms`
    `boolean` | `mustBeConnected`
    `boolean` | `mustNotBeConnected`
    `java.lang.String` | `note`
    `javajs.util.Lst<java.lang.Object>` | `points`
    `RadiusData` | `radiusData`
    `java.lang.String` | `strFormat`
    `Text` | `text`
    `java.lang.String` | `thisID`
    `TickInfo` | `tickInfo`
    `int` | `tokAction`
    `private java.lang.String` | `units`
    `private Viewer` | `vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MeasurementData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `define(JmolMeasurementClient client, ModelSet modelSet)` called by the client to generate a set of measurements
    `java.lang.Object` | `getMeasurements(boolean asArray, boolean asMinArray)` if this is the client, then this method can be called to get the result vector, either as a string or as an array.
    `MeasurementData` | `init(java.lang.String id, Viewer vwr, javajs.util.Lst<java.lang.Object> points)`
    `private void` | `nextMeasure(int thispt, int ptLastAtom, Measurement m, int thisModel)` iterator for measurements
    `void` | `processNextMeasure(Measurement m)` if this is the client, then this method is called by MeasurementData when a measurement is ready
    `MeasurementData` | `set(int tokAction, java.util.Map<java.lang.String,java.lang.Integer> htMin, RadiusData radiusData, java.lang.String strFormat, java.lang.String units, TickInfo tickInfo, boolean mustBeConnected, boolean mustNotBeConnected, java.lang.Boolean intramolecular, boolean isAll, int mad, short colix, Text text)`
    `MeasurementData` | `setModelSet(ModelSet m)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### client

          private JmolMeasurementClient client

    - #### measurementStrings

          private javajs.util.Lst<java.lang.String> measurementStrings

    - #### measurements

          private javajs.util.Lst<java.lang.Float> measurements

    - #### points

          public javajs.util.Lst<java.lang.Object> points

    - #### mustBeConnected

          public boolean mustBeConnected

    - #### mustNotBeConnected

          public boolean mustNotBeConnected

    - #### tickInfo

          public TickInfo tickInfo

    - #### tokAction

          public int tokAction

    - #### radiusData

          public RadiusData radiusData

    - #### strFormat

          public java.lang.String strFormat

    - #### note

          public java.lang.String note

    - #### isAll

          public boolean isAll

    - #### colix

          public short colix

    - #### intramolecular

          public java.lang.Boolean intramolecular

    - #### mad

          public int mad

    - #### thisID

          public java.lang.String thisID

    - #### text

          public Text text

    - #### atoms

          private Atom[] atoms

    - #### units

          private java.lang.String units

    - #### minArray

          private float[] minArray

    - #### ms

          private ModelSet ms

    - #### vwr

          private Viewer vwr

    - #### iFirstAtom

          private int iFirstAtom

    - #### justOneModel

          private boolean justOneModel

    - #### htMin

          public java.util.Map<java.lang.String,java.lang.Integer> htMin

  - ### Constructor Detail

    - #### MeasurementData

          public MeasurementData()

  - ### Method Detail

    - #### init

          public MeasurementData init(java.lang.String id,
                                      Viewer vwr,
                                      javajs.util.Lst<java.lang.Object> points)

    - #### setModelSet

          public MeasurementData setModelSet(ModelSet m)

    - #### set

          public MeasurementData set(int tokAction,
                                     java.util.Map<java.lang.String,java.lang.Integer> htMin,
                                     RadiusData radiusData,
                                     java.lang.String strFormat,
                                     java.lang.String units,
                                     TickInfo tickInfo,
                                     boolean mustBeConnected,
                                     boolean mustNotBeConnected,
                                     java.lang.Boolean intramolecular,
                                     boolean isAll,
                                     int mad,
                                     short colix,
                                     Text text)

    - #### processNextMeasure

          public void processNextMeasure(Measurement m)

      if this is the client, then this method is called by MeasurementData when a measurement is ready
      Specified by:
        `processNextMeasure` in interface `JmolMeasurementClient`
      Parameters:
        `m` -

    - #### getMeasurements

          public java.lang.Object getMeasurements(boolean asArray,
                                                  boolean asMinArray)

      if this is the client, then this method can be called to get the result vector, either as a string or as an array.
      Parameters:
        `asArray` -
        `asMinArray` - array of minimum of a given atom type
      Returns:
        Vector of formatted Strings or array of minimum-distance values

    - #### define

          public void define(JmolMeasurementClient client,
                             ModelSet modelSet)

      called by the client to generate a set of measurements
      Parameters:
        `client` - or null to specify this to be our own client
        `modelSet` -

    - #### nextMeasure

          private void nextMeasure(int thispt,
                                   int ptLastAtom,
                                   Measurement m,
                                   int thisModel)

      iterator for measurements
      Parameters:
        `thispt` -
        `ptLastAtom` -
        `m` -
        `thisModel` -